curl --request POST \
--url https://api.redem.io/v2/creditCalculation \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"OESDataPoints": 2,
"GQSAnswers": 35,
"TSDataPoints": 2,
"CHSAnswers": 25,
"BASDataPoints": 2
}
'import requests
url = "https://api.redem.io/v2/creditCalculation"
payload = {
"OESDataPoints": 2,
"GQSAnswers": 35,
"TSDataPoints": 2,
"CHSAnswers": 25,
"BASDataPoints": 2
}
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
OESDataPoints: 2,
GQSAnswers: 35,
TSDataPoints: 2,
CHSAnswers: 25,
BASDataPoints: 2
})
};
fetch('https://api.redem.io/v2/creditCalculation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Credit calculation successfully retrieved",
"results": {
"creditCalculation": {
"totalCredits": 12,
"calculationBreakdown": {
"OES": {
"credits": 4,
"dataPoints": 2
},
"GQS": {
"credits": 3,
"answers": 35
},
"TS": {
"credits": 1,
"dataPoints": 2
},
"CHS": {
"credits": 4,
"answers": 25
},
"BAS": {
"credits": 4,
"dataPoints": 2
}
}
}
}
}Credit Calculation
API endpoint for calculating the required number of credits for a respondent.
DESDataPoints is optional and defaults to 0 if omitted.Authorizations
Body
Request body for calculating the maximum number of credits needed for a respondent
🔒 Authentication: Requires a private API key. Public keys may only call addRespondent.
The number of data points to be used for the Open-Ended Score (OES).
⭕ Note: If no OES data points are available, this value can be set to 0.
The number of data points to be used for the Grid-Question Score (GQS).
⭕ Note: If no GQS answers are available, this value can be set to 0.
The number of data points to be used for the Time Score (TS).
⭕ Note: If no TS data points are available, this value can be set to 0.
The number of data points to be used for the Coherence Score (CHS).
⭕ Note: If no CHS answers are available, this value can be set to 0.
The number of data points to be used for the Behavioral-Analytics Score (BAS).
⭕ Note: If no BAS data points are available, this value can be set to 0.
The number of data points to be used for the Duplicate Entrance Score (DES). Optional; defaults to 0 if omitted.
⭕ Note: If no DES data points are available, this value can be omitted or set to 0.
Response
When a request is successfully processed, the API returns a 200 OK status code along with the expected data.
A variable indicating whether the operation was successful.
true, false A variable that human-readable message providing additional context or confirmation of the requested action.
This object serves as a container to hold the results for the requested data, encapsulating all relevant information and outputs in a structured format.
Show child attributes
Show child attributes

